import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetOriginEndpointRequest,
  GetOriginEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetOriginEndpointCommandInput
  extends GetOriginEndpointRequest {}
export interface GetOriginEndpointCommandOutput
  extends GetOriginEndpointResponse,
    __MetadataBearer {}
declare const GetOriginEndpointCommand_base: {
  new (
    input: GetOriginEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetOriginEndpointCommandInput,
    GetOriginEndpointCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetOriginEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetOriginEndpointCommandInput,
    GetOriginEndpointCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetOriginEndpointCommand extends GetOriginEndpointCommand_base {
  protected static __types: {
    api: {
      input: GetOriginEndpointRequest;
      output: GetOriginEndpointResponse;
    };
    sdk: {
      input: GetOriginEndpointCommandInput;
      output: GetOriginEndpointCommandOutput;
    };
  };
}
