import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { GetHarvestJobCommandInput } from "../commands/GetHarvestJobCommand";
import { MediaPackageV2Client } from "../MediaPackageV2Client";
/**
 *
 *  @deprecated Use waitUntilHarvestJobFinished instead. waitForHarvestJobFinished does not throw error in non-success cases.
 */
export declare const waitForHarvestJobFinished: (params: WaiterConfiguration<MediaPackageV2Client>, input: GetHarvestJobCommandInput) => Promise<WaiterResult>;
/**
 *
 *  @param params - Waiter configuration options.
 *  @param input - The input to GetHarvestJobCommand for polling.
 */
export declare const waitUntilHarvestJobFinished: (params: WaiterConfiguration<MediaPackageV2Client>, input: GetHarvestJobCommandInput) => Promise<WaiterResult>;
